View Issue Details

IDProjectCategoryView StatusLast Update
0002923FreeCADBugpublic2017-12-02 14:40
Reporterkkremitzki Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.17Fixed in Version0.17 
Summary0002923: Python console history misbehaves with word-wrapped lines
DescriptionReproduced in 0.16 and 0.17.

In the Python console, enable word wrap, and then run a command that is long enough to cause the lines to wrap, e.g. assign a long string to a variable. After running it, go back up in the history to the line. It isn't possible to (a) hit the left arrow enough to go back a line, (b) hit up to go to previous line or previous history item cleanly, (c) hit down to undo recalling the buggy line.
Tagsconsole

Relationships

related to 0002924 closedwmayer Word wrap misbehaves in Python console when typed text inserted mid-line 

Issue History

Date Modified Username Field Change
2017-02-24 21:02 kkremitzki New Issue
2017-02-24 21:08 kkremitzki Description Updated View Revisions
2017-03-10 06:27 Kunda1 Tag Attached: console
2017-03-10 06:28 Kunda1 Relationship added related to 0002924
2017-12-02 14:40 wmayer Assigned To => wmayer
2017-12-02 14:40 wmayer Status new => closed
2017-12-02 14:40 wmayer Resolution open => fixed
2017-12-02 14:40 wmayer Fixed in Version => 0.17
2017-12-02 14:40 wmayer Note Added: 0010507